> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1gateway



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Device//swagger/v1/swagger.json post /api/v1/gateway
openapi: 3.0.0
info:
  title: NDS.Services.Device
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Device/
security: []
paths:
  /api/v1/gateway:
    post:
      tags:
        - Gateway
      operationId: Gateway_GetGateways
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetGatewaysRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGatewaysResult'
components:
  schemas:
    GetGatewaysRequest:
      type: object
      additionalProperties: false
      properties:
        IncludeProxiedGateways:
          type: boolean
    GetGatewaysResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Gateways:
              type: array
              items:
                $ref: '#/components/schemas/Gateway'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Gateway:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
        Description:
          type: string
          nullable: true
        Type:
          type: string
          nullable: true
        ClientId:
          type: string
          nullable: true
        DateCreated:
          type: string
          format: date-time
        DateUpdated:
          type: string
          format: date-time
        Configuration:
          nullable: true
        Reachable:
          type: boolean
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````